%define _prefix /usr

Name: ldg-cert-util
Version: 2.6
Release: 1
Summary: LSC utilities to request, retrieve and/or renew certificates.
License: GPL
Group:  LSCSOFT
Source: %{name}-%{version}.tar.gz
URL: http://www.lsc-group.phys.uwm.edu/repositories.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python
BuildArch: noarch

%description
Python scripts used by LSC community to request, retrieve and/or renew certificates.

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
%{__make}

%install
%makeinstall

%post
if [ ! -h %{_bindir}/LSCrenewCert ]; then
  /bin/ln -s %{_bindir}/cert-renew %{_bindir}/LSCrenewCert
fi
if [ ! -h %{_bindir}/LSCretrieveCert ]; then
  /bin/ln -s %{_bindir}/cert-retrieve %{_bindir}/LSCretrieveCert
fi

%postun
rm -f %{_bindir}/{LSCrenewCert,LSCretrieveCert}

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(0755,root,root)
%{_bindir}/LSC*Cert*
%{_bindir}/cert-re*

%changelog
* Fri Apr 8 2011 Adam Mercer <adam.mercer@ligo.org> 2.6-1
- Check for OpenSSL version mismatch in cert-renew
- Consistent version output in cert-retrieve

* Mon Mar 28 2011 Adam Mercer <adam.mercer@ligo.org> 2.5-1
- Fix some portability issues in cert-renew

* Wed Jan 26 2011 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 2.4-1
- Updating cert-retrieve, LSCrequestCert with new scripts by Dr. Adam Mercer [UWM]: to fix bugs.

* Tue Aug 17 2010 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 2.3-1
- Updating cert-retrieve, LSCrequestCert with new scripts by Dr. Adam Mercer [UWM]: to fix bugs.

* Tue Jul 6 2010 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 2.1-1
- Updating LSCrequestCert with new script by Dr. Adam Mercer [UWM]: to make it more robust when handling command line options

* Fri May 14 2010 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 2.0-2
- Added symliks LSCrenewCert, LSCretrieveCert.

* Thu May 13 2010 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 2.0-1
- Replaced the Perl scripts from version 1.0 with Python scripts written by Dr. Scott Koranda, UWM.

* Thu Mar 25 2010 Xavier Amador <xavier.amador@gravity.phys.uwm.edu> 1.0-1
- Creation and initial building
